
I am an asthmatic and was having a really bad attack. I was an undergraduate at the time and went to the health center for treatment. From there, I was transferred to hospital. My breathing became increasingly labored. By the time I arrived at the hospital, I was turning blue. I was fighting for each breath. The next thing I know, I was no longer working so hard to breath anymore. I thought to myself, 'That's strange.'

I tried to take a breath, but nothing happened. I was not afraid. In fact, I was very calm. I felt as light as air. I was floating above my body. I saw myself on the gurney and the medical staff working diligently to put a breathing tube down my throat. Again, I felt no fear. I was not quite sure what I was seeing. I heard them talking, machines going off, and the doctor barking orders. Then I was floating higher until I was surrounded by the whitest, brightest light I have ever seen. I remember thinking, 'Why does this light not hurt my eyes?' At the same time, I felt at peace. I found myself in this space. It was a huge white space. I felt love, comfort, peace, and joy that surrounded me. The feeling was in me, as if I could wrap myself in it and it was Beautiful. I walked forward to a curtain that was a beautiful flowing 'white lace' that was alive. I am not sure I can explain it, but it was like it was breathing. I am not sure how I understood that, but I did. I pushed the curtain aside and walked past it.

I found myself in the presence of a male figure in a white gown made of the same material as the white lace curtain. He had a glow around him. He had such great love for me. I could feel it. This being, an angel perhaps, spoke to me saying, 'Don't worry Ginny the breath of life will be breathed back into you. Your time has not yet come.' I look at him and replied, 'But I do not want to go.' The next thing I knew I was moving so fast, back from where I came from. I slammed back into my body. I came into the breathing tube, into my mouth, down my throat into my trachea and then lungs. I could see this. I then heard myself breathing, but it was not a natural kind breathing. It was a mechanical, a unnatural kind of breathing.

That was the last thing I remember. I woke up in the intensive care unit five days latter. I have never spoke of this until now. It sounds crazy I know. It took me a long time to understand it myself. Only now that I find myself in the middle of a career crisis, I find myself think about it what did that mean? Was it real? Yes, I think so.
